
- name: Export all NFS dirs
  shell: exportfs -a

- name: Enable and start NFS services
  block:
    - ansible.builtin.service:
        name: rpcbind
        enabled: true
        state: started
    - ansible.builtin.service:
        name: rpc-statd
        enabled: true
        state: started
    - ansible.builtin.service:
        name: nfs-idmapd
        enabled: true
        state: started
    - ansible.builtin.service:
        name: nfs-kernel-server
        enabled: true
        state: started

- name: Restart rpcbind
  ansible.builtin.service:
    name: rpcbind
    state: restarted

- name: Restart nfs-kernel-server
  ansible.builtin.service:
    name: nfs-kernel-server
    state: restarted
